Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.transport
Class MuleUniversalConduit

    java.lang.Object
      org.apache.cxf.transport.AbstractObservable
          org.apache.cxf.transport.AbstractConduit
              org.mule.module.cxf.transport.MuleUniversalConduit

All Implemented Interfaces:
  org.apache.cxf.transport.Conduit, org.apache.cxf.transport.Observable

    public class MuleUniversalConduit

extends org.apache.cxf.transport.AbstractConduit

A Conduit is primarily responsible for sending messages from CXF to somewhere else. This conduit takes messages which are being written and sends them to the Mule bus.

Nested Class Summary
`protected class` | `MuleUniversalConduit.InterposedMessageObserver` Used to set appropriate message properties, exchange etc.

Field Summary

Fields inherited from class org.apache.cxf.transport.AbstractConduit
`target`

Fields inherited from class org.apache.cxf.transport.AbstractObservable
`incomingObserver`

Constructor Summary
`MuleUniversalConduit(MuleUniversalTransport transport, CxfConfiguration configuration, org.apache.cxf.service.model.EndpointInfo ei, org.apache.cxf.ws.addressing.EndpointReferenceType t)`

Method Summary
`void` | `close()`
`void` | `close(org.apache.cxf.message.Message msg)`
`protected void` | `dispatchMuleMessage(org.apache.cxf.message.Message m)`
`protected void` | `duplicateDecoupledDestination()`
`org.apache.cxf.transport.Destination` | `getBackChannel()`
`protected CxfConfiguration` | `getConnector()`
`String` | `getDecoupledEndpoint()`
`protected org.apache.cxf.service.model.EndpointInfo` | `getEndpoint()`
`protected OutboundEndpoint` | `getEndpoint(MuleContext muleContext, String uri)`
`protected Logger` | `getLogger()`
`protected InputStream` | `getResponseBody(org.apache.cxf.message.Message m, MuleMessage result)`
`protected String` | `getTargetOrEndpoint()`
`protected static org.apache.cxf.ws.addressing.EndpointReferenceType` | `getTargetReference(org.apache.cxf.service.model.EndpointInfo ei, org.apache.cxf.ws.addressing.EndpointReferenceType t)` Get the target endpoint reference.
`protected MuleUniversalTransport` | `getTransport()`
`protected boolean` | `isOneway(org.apache.cxf.message.Exchange exchange)`
`void` | `onClose(org.apache.cxf.message.Message m)`
`void` | `prepare(org.apache.cxf.message.Message message)` Prepare the message for writing.
`protected MuleEvent` | `processNext(MuleEvent event, org.apache.cxf.message.Exchange exchange)`
`protected void` | `releaseDecoupledDestination()`
`void` | `setCloseInput(boolean closeInput)`
`void` | `setDecoupledEndpoint(String decoupledEndpoint)`
`protected void` | `setUpDecoupledDestination()`
`protected String` | `setupURL(org.apache.cxf.message.Message message)`

Methods inherited from class org.apache.cxf.transport.AbstractConduit
`getTarget, toString`

Methods inherited from class org.apache.cxf.transport.AbstractObservable
`activate, deactivate, getMessageObserver, getTargetReference, getTargetReference, setMessageObserver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cxf.transport.Observable
`setMessageObserver`

Constructor Detail

### MuleUniversalConduit

    public MuleUniversalConduit(MuleUniversalTransport transport,
                                CxfConfiguration configuration,
                                org.apache.cxf.service.model.EndpointInfo ei,
                                org.apache.cxf.ws.addressing.EndpointReferenceType t)

Parameters:
  `ei` - The Endpoint being invoked by this destination.
  `t` - The EPR associated with this Conduit - i.e. the reply destination.

Method Detail

### close

    public void close(org.apache.cxf.message.Message msg)
               throws IOException

  Specified by:
    `close` in interface `org.apache.cxf.transport.Conduit`
  Overrides:
    `close` in class `org.apache.cxf.transport.AbstractConduit`
  Throws:
    `IOException`

### getLogger

    protected Logger getLogger()

  Specified by:
    `getLogger` in class `org.apache.cxf.transport.AbstractObservable`

### getBackChannel

    public org.apache.cxf.transport.Destination getBackChannel()

  Specified by:
    `getBackChannel` in interface `org.apache.cxf.transport.Conduit`
  Overrides:
    `getBackChannel` in class `org.apache.cxf.transport.AbstractConduit`

### setUpDecoupledDestination

    protected void setUpDecoupledDestination()

### prepare

    public void prepare(org.apache.cxf.message.Message message)
                 throws IOException

  Prepare the message for writing.

  Throws:
    `IOException`

### getEndpoint

    protected OutboundEndpoint getEndpoint(MuleContext muleContext,
                                           String uri)
                                    throws MuleException

  Throws:
    `MuleException`

### setupURL

    protected String setupURL(org.apache.cxf.message.Message message)
                       throws MalformedURLException

  Throws:
    `MalformedURLException`

### dispatchMuleMessage

    protected void dispatchMuleMessage(org.apache.cxf.message.Message m)
                                throws IOException

  Throws:
    `IOException`

### getResponseBody

    protected InputStream getResponseBody(org.apache.cxf.message.Message m,
                                          MuleMessage result)
                                   throws TransformerException,
                                          IOException

  Throws:
    `TransformerException`
    `IOException`

### isOneway

    protected boolean isOneway(org.apache.cxf.message.Exchange exchange)

### getTargetOrEndpoint

    protected String getTargetOrEndpoint()

### onClose

    public void onClose(org.apache.cxf.message.Message m)
                 throws IOException

  Throws:
    `IOException`

### processNext

    protected MuleEvent processNext(MuleEvent event,
                                    org.apache.cxf.message.Exchange exchange)
                             throws MuleException

  Throws:
    `MuleException`

### close

    public void close()

  Specified by:
    `close` in interface `org.apache.cxf.transport.Conduit`
  Overrides:
    `close` in class `org.apache.cxf.transport.AbstractConduit`

### duplicateDecoupledDestination

    protected void duplicateDecoupledDestination()

### releaseDecoupledDestination

    protected void releaseDecoupledDestination()

### getDecoupledEndpoint

    public String getDecoupledEndpoint()

### setDecoupledEndpoint

    public void setDecoupledEndpoint(String decoupledEndpoint)

### getTargetReference

    protected static org.apache.cxf.ws.addressing.EndpointReferenceType getTargetReference(org.apache.cxf.service.model.EndpointInfo ei,
                                                                                           org.apache.cxf.ws.addressing.EndpointReferenceType t)

  Get the target endpoint reference.

  Parameters:
    `ei` - the corresponding EndpointInfo
    `t` - the given target EPR if available
  Returns:
    the actual target

### setCloseInput

    public void setCloseInput(boolean closeInput)

### getConnector

    protected CxfConfiguration getConnector()

### getEndpoint

    protected org.apache.cxf.service.model.EndpointInfo getEndpoint()

### getTransport

    protected MuleUniversalTransport getTransport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.